Package tigase.eventbus.impl

## Class ReflectEventListenerHandler

- java.lang.Object
- - tigase.eventbus.impl.AbstractHandler
  - - tigase.eventbus.impl.ReflectEventListenerHandler

- Direct Known Subclasses:
    `ReflectEventSourceListenerHandler`

      public class ReflectEventListenerHandler
      extends AbstractHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.eventbus.impl.AbstractHandler

      `AbstractHandler.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.Object` | `consumerObject` |
    `protected HandleEvent.Type` | `filter` |
    `protected java.lang.reflect.Method` | `handlerMethod` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReflectEventListenerHandler​(HandleEvent.Type filter, java.lang.String packageName, java.lang.String eventName, java.lang.Object consumerObject, java.lang.reflect.Method handlerMethod)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispatch​(java.lang.Object event, java.lang.Object source, boolean remotelyGeneratedEvent)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `AbstractHandler.Type` | `getRequiredEventType()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class tigase.eventbus.impl.AbstractHandler

      `getEventName, getPackageName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### consumerObject

          protected final java.lang.Object consumerObject

    - #### filter

          protected final HandleEvent.Type filter

    - #### handlerMethod

          protected final java.lang.reflect.Method handlerMethod

  - ### Constructor Detail

    - #### ReflectEventListenerHandler

          public ReflectEventListenerHandler​(HandleEvent.Type filter,
                                             java.lang.String packageName,
                                             java.lang.String eventName,
                                             java.lang.Object consumerObject,
                                             java.lang.reflect.Method handlerMethod)

  - ### Method Detail

    - #### dispatch

          public void dispatch​(java.lang.Object event,
                               java.lang.Object source,
                               boolean remotelyGeneratedEvent)

      Specified by:
        `dispatch` in class `AbstractHandler`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getRequiredEventType

          public AbstractHandler.Type getRequiredEventType()

      Specified by:
        `getRequiredEventType` in class `AbstractHandler`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`